/* sqw-ir.c * Content-Type: TEXT/PLAIN; charset=cp866
 *
 * Inbound directory  reading,  pkt   ⥭  室  ४ਨ,  ⠢
 * files table creating subroutine.   ⠡ 室 pkt-䠩.
 *
 */

#include "./sqw-inc.h"

int Sqw_ir(void);

/* ============================================================================
     It fills table  PKTFile[]  with               ⠡  ﬨ  
full pathnames  of  inbound  .~KT's.   ⨬ ⠬.    訬 -
These pathnames must be enough  with   ⥪      ⮣,
libraries of your compiler  to  open   ⮡    뢠 䠩 ⠭⭠
file as stream by  calling  function   㭪 ⥪ -뢮:

                         fopen (PKTFile[i],"rb");

Size of this global  table  is  255,    ⮩  쭮 ⠡  -  255.
function Sqw_ir()  sets  global  va-   㭪 Sqw_ir()     ⠭
riable PKT_Num to number of  packets    쭮 ६ PKT_Num -
found in Inbound directory.            ⢮ 䠩 *.~KT  ४ਨ Inbound.

Returns 1 on successfull operation.    頥 1

Exits  if  errors with  appropriate    蠥 ࠡ ணࠬ  訡.
messages...

******************************************************************************/

int Sqw_ir()
{
char oldpath[MAXPATH+3];              /* +஥  ⭮ 䠩 */
char newpath[MAXPATH+3];              /* +   ⭮ 䠩 */
char *s0 = oldpath,                   /* 㪠⥫  ஬            */
     *s1 = newpath,                   /* 㪠⥫               */
     *s2 = (char *)InBound;           /* -  㥬            */
unsigned long sizesum=0;	      /* 㬬  䠩		   */
struct ffblk fileblk;
char 	*Creating_File_Tables = "Creating File Tables";

/*======================================================================*/
OutLog(LEV_TRIV,Creating_File_Tables);
                                      /* 㥬         */
while (*s2) *s0++ = *s1++ = *s2++;
*s0 = *s1 = '\0'; 

strcpy(s0, "*.*");   /* ###047 */     /* 㥬  䠩         */
PKT_Num = 0;

if (findfirst(oldpath, &fileblk, (int)NULL)) /* ###044 was == EOF */
   return 0; else;
puts(Creating_File_Tables);
do  {
    strcpy (s0,fileblk.ff_name);      /* 㥬  । .PKT      */
    strcpy (s1,fileblk.ff_name);
    if (!strcasecmp_match(s0, "*.PKT") && /* ###047 */
    	(!Cfg_HexadecimalNamesPKT || (isxdigit(s0[0]) && isxdigit(s0[1])
			      && isxdigit(s0[2]) && isxdigit(s0[3])
			      && isxdigit(s0[4]) && isxdigit(s0[5])
			      && isxdigit(s0[6]) && isxdigit(s0[7])
				)))
	{
	sizesum += fileblk.ff_fsize;
	if ((sizesum > (unsigned long)Cfg_CacheSize*1024) && PKT_Num) break;
	else;
	*(s1 + strlen(s1) - LENEXT) = '~';
				      /*  newpath -   ⨫줮        */
                                      /* ᫨      墠⨫   */
                                      /*  - 䨣,  ࠡ⠥       */
	if ((PKTFile[PKT_Num] = malloc(strlen((char *)newpath) + 1)) == NULL)
	   if (!PKT_Num) Errexit (Lin_Memory, Erl_Memory);
	   else break;                /* ᫨  .  -  */
	else;                         /* 横 ନ஢ ⠡窨        */
	rename (oldpath, newpath);    /* २뢠  㥬   */
	strcpy (PKTFile[PKT_Num], newpath); /*   ⠡             */
	PKT_Num++;                    /* ਡ    ⮢*/
	} /* if !HexadecimalNamesPKT || ... */
    else;
    }
while ((PKT_Num < PKT_Max) &&
       (!findnext(&fileblk)) && 
       (farcoreleft() >= (Cfg_Duplicates*sizeof(*Dup) 
                          + (PKT_Num*sizeof(ADDR) * 3)
                          + (unsigned long)65535L)));
return 1;
} /* Sqw_ir */
