/* sqw-lin.c * Content-Type: TEXT/PLAIN; charset=cp866
 *
 * Global line constants.              ப ⠭.
 * tolower function for them all.     ८ࠧ  쪨 㪢  .
 *
 */

#include "./sqw-inc.h"

/******************** ப ⠭  뢮 ᮮ饭 ***************/
unsigned char	crashed_last_msg[] = "Crashed last message";
unsigned char	Exiting[] =   "Exiting... Tossing incomplete!";
unsigned char	Lin_Error[] =   "Some error occured!!!";
unsigned char	Lin_Warning[] = "Something seems to be wrong?";
unsigned char	Lin_Memory[] =  "Not enough memory to work!";
unsigned char	Lin_RegExp[] =  "Invalid regular expression";
#if RULESFIELDS
unsigned char	Lin_RulesField[] =  "RulesFields option error";
#endif
unsigned char	Lin_Rules_Write[] =  ".RUL file write error";
unsigned char	Lin_Desync[] =  "Parsing config: Two passes algorythmes desynchro!";
unsigned char	Lin_CrashLink[] =  "Two link addresses are identical!";
unsigned char	Lin_Write[] =   "Error creating/writing out packets!";
unsigned char	Lin_Tag_Lin[] =   "Internal Error - EchoTag tables crashed!";
unsigned char	Low_Memory[] =  "Low Memory, ";
unsigned char	Wrong_Address[] = "Wrong main address!";
unsigned char	Strange_After[] =  ": Strange after end of packet";
unsigned char	End_Of_Pkt_012[] =  ": end of packet is not 0x0000";
unsigned char	Read_Error[] =  ", Read Error";
unsigned char	Write_Error[] =  ", Write Error";
unsigned char	Cant_Create[] =  ", Can't create";
unsigned char	crlf[] =        "\n";
unsigned char	empty[] = "";
unsigned char	tabspacecomment[] =    "; \t";
unsigned char	*tabspace = tabspacecomment + 1;
/*******************  ப ⠭ *************************/
unsigned char	your_compiler[] = YOUR_COMPILER;
unsigned char	your_os[] = YOUR_OS;
unsigned char	your_os_include[] = YOUR_OS_INCLUDE;
/* ਡ  䠩 */
unsigned char	rb[] = "rb";
unsigned char	rt[] = "rt";
unsigned char	wb[] = "wb";
unsigned char	wt[] = "wt";
unsigned char	at[] = "at";

/*    䠩,      */
unsigned char	*compress_cfg = NULL;
unsigned char	*tossing_log = NULL;
unsigned char	*sqwash_bat = NULL;
unsigned char	*sqwash_xat = NULL;
unsigned char	*sqwacr_bat = NULL;
unsigned char	*sqwacr_xat = NULL;
unsigned char	*call_sqwarc = NULL;
unsigned char	*squish_cfg = NULL;
unsigned char	*squish_xfg = NULL;
unsigned char	*sqafix_create = NULL;
unsigned char	*call_rescan = NULL;

/*    䠩,  ६     㬮砭 */
unsigned char	*sqwish_cfg = "SQWISH.CFG";
unsigned char	*wbd_cfg = "WBD.CFG";

unsigned char	ssqwish_cfg[] = "sqwish.cfg";
unsigned char	swbd_cfg[] = "wbd.cfg";

unsigned char	*sqwish_dpb = "SQWISH.DPB";
unsigned char	*sqwish_xpb = "SQWISH.~PB";
unsigned char	*sqwish_dpc = "SQWISH.DPC";
unsigned char	*sqwish_xpc = "SQWISH.~PC";

unsigned char	*usqwash_bat = "SQWASH.BAT";
unsigned char	*usqwash_xat = "SQWASH.~AT";
unsigned char	*usqwacr_bat = "SQWACR.BAT";
unsigned char	*usqwacr_xat = "SQWACR.~AT";

unsigned char	ssqwash_bat[] = "sqwash.bat";
unsigned char	ssqwash_xat[] = "sqwash.~at";
unsigned char	ssqwacr_bat[] = "sqwacr.bat";
unsigned char	ssqwacr_xat[] = "sqwacr.~at";
unsigned char	ssqwish_dpb[] = "sqwish.dpb";
unsigned char	ssqwish_xpb[] = "sqwish.~pb";
unsigned char	ssqwish_dpc[] = "sqwish.dpc";
unsigned char	ssqwish_xpc[] = "sqwish.~pc";

/* ७ 䠩 */
unsigned char	Temporary[] = "*.~??";
/* 㪢 ७ 䠩 */
unsigned char	Pp = 'P', Oo = 'O', Ss = 'S', Qq = 'Q', Ww = 'W', Gg = 'G',
		Tt = 'T', Kk = 'K', Aa = 'A', Zz = 'Z', Mm = 'M', Ee = 'E';
unsigned char	*Lin_SEC = "SEC";
unsigned char	sLin_SEC[] = "sec";
unsigned char	*Lin_BAD = "BAD";
unsigned char	sLin_BAD[] = "bad";
unsigned char	*Lin_PKT = "PKT";
unsigned char	sLin_PKT[] = "pkt";
/* ७ 䠩  ࠢ */
unsigned char	*Rul   = "RUL";
unsigned char	sRul[] = "rul";
#if 0
/* ।⢥ 易  enum area_num...  sqw-def.h !*/
unsigned char	*Ext[] = { "~NM", "~NW", "~SC", "~PT",
		   "~DP", "~ND", "~PS", "~BD",
		   "~BT", "~RS",
/* -------------- > ----- Here new 'area' exts may be and will be added -- */
		   "~KL", "~UT", ""};
/* ।⢥ 易  enum area_num...  sqw-def.h !*/
unsigned char	*sExt[] = { "~nm", "~nw", "~sc", "~pt",
		   "~dp", "~nd", "~ps", "~bd",
		   "~bt", "~rs", "~af",
/* -------------- > ----- Here new 'area' exts may be and will be added -- */
		   "~kl", "~ut", ""};
#endif
/* ଠ ப  뢮  䠩 .O??  奪- */
unsigned char
     *name8x_s_12s   = "%08lX.%s (%s)",
     sname8x_s_12s[] = "%08lx.%s (%s)",
     *name8xext   = "%08lX.%s", sname8xext[]  = "%08lx.%s",
     *name8lx     = "%08lX.",   sname8lx[]    = "%08lx.",
     *formatZone  = ".%0.3hX%c",
     sformatZone[] = ".%0.3hx%c",
     *formatNetNode   = "%0.4hX%0.4hX", 
     sformatNetNode[] = "%0.4hx%0.4hx",
     *formatARCNetNode   = "%0.4hX%0.4hX.%s",
     sformatARCNetNode[] = "%0.4hx%0.4hx.%s",
     *formatOUTnameOUT   = "%08lX.%c%s",
     sformatOUTnameOUT[] = "%08lx.%c%s",
     *formatLineOUT   = "%s %s%08lX ",
     sformatLineOUT[] = "%s %s%08lx ",
     *formatLinePKT   = "%s%08lX.PKT OUT ^ LOC\n",
     sformatLinePKT[] = "%s%08lx.pkt out ^ LOC\n",
     *formatLineOXX   = "%s%08lX.O%.2s O%.2s ^ LOC\n",
     sformatLineOXX[] = "%s%08lx.o%.2s o%.2s ^ LOC\n",
     *formatCommentLine   = "%s %08lX %hu:%hu/%hu.%hu O%s C\n",
     sformatCommentLine[] = "%s %08lx %hu:%hu/%hu.%hu o%s C\n",
     *formatNoticeLine   = "%s %s %hu:%hu/%hu.%hu O%s C\n",
     sformatNoticeLine[] = "%s %s %hu:%hu/%hu.%hu o%s C\n",
     *sformatNetNodePoint[] = {
      "%0.4hX%0.4hX.PNT%c0000%0.4hX",
      "%0.4hx%0.4hx.pnt%c0000%0.4hx"},
     *sformatARCNetNodePoint[] = {
	"%0.4hX%0.4hX.PNT%c%c000%0.4hX.%s",
	"%0.4hx%0.4hx.pnt%c%c000%0.4hx.%s"},
     *formatARCNetNodePoint, *formatNetNodePoint,
     sFormat_s8lx_num[] = "%s%08lx.num",
     *Format_s8lx_num = "%s%08lX.NUM";

/* ଠ ப */
unsigned char	Format_MSGID[] = "\001MSGID: %hu:%hu/%hu %8.8lx\r";
unsigned char	Format_FMPT[] = "\001FMPT %hu\r";
unsigned char	Format_TOPT[] = "\001TOPT %hu\r";
unsigned char	Format_INTL[] = "\001INTL: %hu:%hu/%hu %hu:%hu/%hu\r";
unsigned char	rTear[] = "\r---";

unsigned char	Format_5DP[] = "%hu:%hu/%hu.%hu@%s";
unsigned char	Format_5D[]  = "%hu:%hu/%hu@%s";

unsigned char	net_node[]   = " %hu/%hu";	/*  /뢮  	*/
unsigned char	net_node_n[] = " %hu/%hu%n";	/*  뢮   	*/
unsigned char	node_n[]     = " %hu%n";	/*  ⮬ 뢥	*/
unsigned char	Seen_by[]    = "SEEN-BY:";
unsigned char	APath[]      = "\001PATH:";
unsigned char	Format_sz_s[] = "%s*.%s";
unsigned char	Format_ss[]  = "%s%s";
unsigned char	Format_c[]  = ".%c";
unsigned char	Format_s[]  = "%s";
unsigned char	Format_sr[]  = "%s\r";
unsigned char	Format_rsr[]  = "\r%s\r";
unsigned char	Format_sn[]  = "%s\n";
unsigned char	LNTL_format[] = "%8.8s (2.%c) %s"; /*   LogNameTypeLine */
unsigned char	sqwish_cfg_line_n[] = "\nSqWish.cfg: Line %u. ";
unsigned char	sVersion[] = "%s SqWish %c%02i.%02i/%s";

/******************** 㭪 ਢ   㪢 ப ⠭ */
#define stringlower(line) line = s##line
#define stringup(line) if (line == NULL) line = u##line; else
#define stringlc(line) if (line == NULL) line = s##line; else

void Sqw_tolower()
{ register int i;
if (Cfg_OutFileLowerCase)
	{
	for (i = 0; i <= AREA1ST; i++) stringlower(Ext[i]);
	stringlower(Rul);
	stringlower(Lin_SEC);
	stringlower(Lin_BAD);
	stringlower(Lin_PKT);

	stringlower(formatZone);
	stringlower(formatNetNode);
	stringlower(formatARCNetNode);
	stringlower(formatOUTnameOUT);
	stringlower(formatLineOUT);
	stringlower(formatLinePKT);
	stringlower(formatLineOXX);
	stringlower(formatCommentLine);
	stringlower(formatNoticeLine);
	stringlower(Format_s8lx_num);
	
	stringlower(name8lx);
	stringlower(name8xext);
	stringlower(name8x_s_12s);
	stringlower(sqwish_cfg);
	stringlower(wbd_cfg);
	stringlower(sqwish_dpc);
	stringlower(sqwish_xpc);
	stringlower(sqwish_dpb);
	stringlower(sqwish_xpb);
	Aa = 'a';
	Gg = 'g';
	Kk = 'k';
	Mm = 'm';
	Oo = 'o';
	Pp = 'p';
	Qq = 'q';
	Ss = 's';
	Tt = 't';
	Ww = 'w';
	Zz = 'z';
	Ee = 'e';
	stringlc(sqwacr_bat);
	stringlc(sqwacr_xat);
	stringlc(sqwash_bat);
	stringlc(sqwash_xat);
	}
else;

formatARCNetNodePoint = 
	sformatARCNetNodePoint[Cfg_OutFileLowerCase];
formatNetNodePoint    = 
	sformatNetNodePoint[Cfg_OutFileLowerCase];

stringup(sqwacr_bat);
stringup(sqwacr_xat);
stringup(sqwash_bat);
stringup(sqwash_xat);
}
