/* sqw-ext.c * Content-Type: TEXT/PLAIN; charset=cp866
 *
 * Global data structures.	        .
 *
 */

#include "./sqw-inc.h"

#if DEBUG
/************** Debug Controls **************************************/

int debug = DEBUG;
unsigned long malloc_num = 0L;
#endif

time_t	ttt;				/* Global for PKT names and MSGID    */
LINE	huge	*Line=NULL;		/* ᨢ  ப 䨣     */
/************** Global Numbering parametres *************************/
unsigned int	My_Addr_Num=0;		/* number of my addresses   */
unsigned int	Link_Num=0;		/* number of links	    */
unsigned int	Node_Num=0;		/* number of node links     */
unsigned int	Area_Num=0;		/* number of areas	    */
unsigned int	PKT_Max=0;		/* max number of inbound PKT*/
unsigned int	PKT_Num=0;		/* number of inbound PKTs   */
unsigned int	MSG_Num=0;		/* number of messages	    */
unsigned int	MSG_Max=0;		/* Max number of messages   */
unsigned int	MSG_Total=0;		/* ᥣ ⠭/ᠭ */
unsigned int	Dup_Num=0;		/* 饥 ⢮ 㯮 */
unsigned int	Dup_Off=0;		/* 饭  ⥪饬  */
unsigned long	Size_Added=0;		/* Added Size to arcmail    */
/************** Offsets/Lengths of global strings ***********************/
unsigned int	Cfg_Len=0;	/* 饭   䠩 䨣	*/
unsigned int	Flg_Len=0;	/* 饭   䠩 䫠	*/
unsigned int	Inb_Len=0;	/* 饭   .PKT		*/
unsigned int	Out_Len=0;	/* 饭   .OUT		*/
unsigned int	BinkLen=0;	/*   -⠩ ⡠㭤	*/
unsigned int	HoldLen=0;	/*    બ		*/
unsigned long	Tag_Sum=0;	/* Summary echo-Tags length		*/
unsigned char	Tag_Len=0;	/*   x-⠣			*/
unsigned long	Path_Sum=0;	/* Summary echodupes path length	*/
unsigned int	Twit_Num=0;	/* Number of Twit lines 		*/
unsigned long	Twit_Sum=0;	/* Summary Twit lines' length           */
unsigned long	Length; 	/*   SEEN-BY  PATH	*/
/************** Addresses of global paths *******************************/
char *Config = NULL;		/* Additional configs' path             */
char *FlagD = NULL;		/* flags' path                          */
char *InBound = NULL;		/* inbound path 			*/
char *OutPath = NULL;		/* outbound path			*/
char *BinkPath = NULL;		/* Bink-Style outbound path		*/
char *HoldPath = NULL;		/* path for arcmails			*/
/************** Addresses of global strings *****************************/
char huge *Tag_Lin=NULL;	/* echo-Tags array as line		*/
char huge *Path_Lin=NULL;	/* echodupes paths array as line	*/
char huge *Twit_Lin=NULL;	/* ᨢ -ப			*/
char	*Buffer;		/* line, seen-by, path			*/
/*************************** Global Files *******************************/
FILE	*Log_file=NULL; 	/* Log File				*/
FILE	*filepkt=NULL;		/* File for reading			*/
FILE	*fileout=NULL;		/* File for writing			*/
FILE	*filebat=NULL;		/* Batch/script file for appending to	*/
FILE	*filecmt=NULL;		/* File for writing netmail packet	*/
/*************************** Address Tables *****************************/
DOMAIN	huge *Dmn=NULL; 		/* domains table		*/
ADDR	huge *My=NULL;			/* My address table		*/
ADDR	huge *Lin=NULL; 		/* Current Link 		*/
LINK	huge *Link=NULL;		/* Link tables			*/
int	huge *Link_Tab=NULL;		/* ⠡ ஢ 	*/
/*************************** Areas Tables *******************************/
AREA	huge *Area=NULL;		/* Tag length, Origin number	*/
/*************************** Area/Link bit tables ***********************/
char	huge *AreaLink=NULL;		/* subscr/other bitmap		*/
char	Def_Pack[9];			/* DefaultPacker line		*/
/*************************** Inbound File tables ************************/
unsigned char pktnum=255;		/* 騩  ⠥ PKT	*/
char	*PKTFile[256];			/* .PKT file tables		*/
char	PKTType[256];			/* .PKT file types		*/
ADDR	huge *PKTDest;			/* .PKT dedstaddr		*/
ADDR	huge *PKTOrg;			/* .PKT origin address table	*/
/*************************** Message tables *****************************/
MSG	huge *Msg=NULL; 		/* ⢥ ⠡ ᮮ饭 */
int	*Msg_Tab=NULL;			/* ⠡ ஢ ᮮ饭 */
/*************************** Twit tables ********************************/
TWIT	huge *Twit;			/* Twit lines table		*/
unsigned char huge *Twit_Link = NULL;	/* Twit link bitmap tables	*/
/*************************** Dupe tables ********************************/
unsigned long	   huge *Dup=NULL;	/* ⢥ ⠡ 㯮	*/
#if 0
unsigned short int huge *Dup_Tab=NULL;	/*  ⠡ 㯮 	*/
#endif
/*************************** I/O file buffers ***************************/
char	*Buf_Log=NULL;			/* .LOG file i/o buffer 	*/
char	*Buf_Pkt=NULL;			/* .PKT file i/o buffer 	*/
char	*Buf_Out=NULL;			/* .OUT file i/o buffer 	*/
/*************************** headers buffers ****************************/
PKT_hdr ph;
MSG_hdr mh;
unsigned long crc;
unsigned long  int SizeAL=0;		/* Buffer size allocated	*/
